import {Component, Host, h, Prop} from '@stencil/core';

@Component({
  tag: 'hy-prominent-image',
  styleUrl: 'hy-prominent-image.scss',
  shadow: true,
})
export class HyProminentImage {
  @Prop() textTitle?: string;
  @Prop() imageUrl?: string;

  render() {
    return (
      <Host>
        <div class="hy-prominent-image">
          <div class="hy-prominent-image__image">
            <hy-image image-url={this.imageUrl} aspectRatioWidth={2} aspectRatioHeight={1} />
          </div>
          {this.textTitle && <div class="hy-prominent-image__text">{this.textTitle}</div>}
        </div>
      </Host>
    );
  }
}
